com.brightcove.ssai.ad

## Enum TrackingType

- java.lang.Object
- - java.lang.Enum<TrackingType>
  - - com.brightcove.ssai.ad.TrackingType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TrackingType>

      public enum TrackingType
      extends java.lang.Enum<TrackingType>

  Tracking types supported by a Creative.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK_TRACKING`
    `COMPLETE`
    `CREATIVE_VIEW`
    `EXIT_FULLSCREEN`
    `FIRST_QUARTILE`
    `FULLSCREEN`
    `MIDPOINT`
    `PAUSE`
    `PROGRESS`
    `RESUME`
    `SKIP`
    `START`
    `THIRD_QUARTILE`
    `UNSUPPORTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrackingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSUPPORTED

          public static final TrackingType UNSUPPORTED

    - #### CREATIVE_VIEW

          public static final TrackingType CREATIVE_VIEW

    - #### START

          public static final TrackingType START

    - #### FIRST_QUARTILE

          public static final TrackingType FIRST_QUARTILE

    - #### MIDPOINT

          public static final TrackingType MIDPOINT

    - #### THIRD_QUARTILE

          public static final TrackingType THIRD_QUARTILE

    - #### COMPLETE

          public static final TrackingType COMPLETE

    - #### PROGRESS

          public static final TrackingType PROGRESS

    - #### PAUSE

          public static final TrackingType PAUSE

    - #### RESUME

          public static final TrackingType RESUME

    - #### SKIP

          public static final TrackingType SKIP

    - #### CLICK_TRACKING

          public static final TrackingType CLICK_TRACKING

    - #### FULLSCREEN

          public static final TrackingType FULLSCREEN

    - #### EXIT_FULLSCREEN

          public static final TrackingType EXIT_FULLSCREEN

  - ### Method Detail

    - #### values

          public static TrackingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackingType c : TrackingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackingType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null